Status: Closed

Priority: Low

Assignee: Marco Hugentobler

Category:

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 12860

Description

Adding rules and handles in map composer make map control more accurate and intuitive

History

#1 - 2010-06-12 05:27 AM - Giovanni Manghi

The grid and the its snapping options (spacing, offeset, etc.) are not enough?

#2 - 2010-06-12 05:42 AM - dmartella -

Replying to [comment:1 lutra]:

The grid and the its snapping options (spacing, offeset, etc.) are not enough?

For large paper formats (A2 and up) grid is CPU-wasting and poorly usable. In my opinion having rules an custumizable handles (as in inkscape) will be a

more efficient way..

#3 - 2011-12-16 01:56 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#4 - 2012-04-15 10:12 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#5 - 2012-10-06 02:29 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#6 - 2013-03-10 01:20 AM - Marco Hugentobler

- Pull Request or Patch supplied set to No

- Assignee changed from nobody - to Marco Hugentobler

I have an implementation of composer rulers in the branch https://github.com/mhugent/Quantum-GIS/tree/composer_ruler

It needs a bit of polishing, but maybe it is ready before the 2.0 feature freeze...

#7 - 2013-03-16 01:33 PM - Giovanni Manghi

- Status info deleted (0)
- Operating System deleted (Debian)

- Status changed from Open to Feedback

Marco Hugentobler wrote:

I have an implementation of composer rulers in the branch https://github.com/mhugent/Quantum-GIS/tree/composer_ruler

It needs a bit of polishing, but maybe it is ready before the 2.0 feature freeze...

was this merged? cheers!

#8 - 2013-03-17 01:22 AM - Nathan Woodrow

That looks good.  Can we get it merged?

#9 - 2013-03-17 01:29 AM - Marco Hugentobler

There are two small fixes to do before merge:

- hide snap lines before printing

- zoom to full causes a shift between rulers and composer content

#10 - 2013-03-21 11:00 AM - Antonio Locandro

I am hoping for this for a while! This would make my life easier, any way I can try it out? I'm no developer so wouldn't know how to install or something

#11 - 2013-03-24 07:06 AM - Marco Hugentobler

- Status changed from Feedback to Closed

Merged to master branch now.
